/*
   Copyright (c) 1986, 90 by Prolog Development Center
*/
   
project "ch24ex03"  /* Use your own project name here */

constants
 % Choose the language calling convention, either C or Pascal
 lang = c

global predicates
 myfail language lang as "_fail"
 mymakewindow(integer,integer,integer,string,integer,integer,integer,integer)
    - (i,i,i,i,i,i,i,i) language lang as "_makewindow"
 myshiftwindow(integer) - (i) language lang as "_shiftwindow"
 myremovewindow language lang as "_removewindow"
 write_integer(integer) - (i) language lang as "_write_integer"
 write_real(real) - (i) language lang as "_write_real"
 write_string(string) - (i) language lang as "_write_string"
 myreadchar(char) - (o) language lang as "_readchar"
 myreadline(string) - (o) language lang as "_readline"

 extprog language lang as "_extprog"

clauses
 myfail :- fail.

 mymakewindow(Wno, Wattr, Fattr, Text, Srow, Scol, Rows, Cols):-
    makewindow(Wno, Wattr, Fattr, Text, Srow, Scol, Rows, Cols).

 myshiftwindow(WNO) :- shiftwindow(WNO).

 myremovewindow :- removewindow.

 write_integer(I) :- write(I).

 write_real(R) :- write(R).

 write_string(S) :- write(S).

 myreadchar(CH) :- readchar(CH).

 myreadline(S) :- readln(S).

goal
 extprog.
