;/***************************************************************************
;
;			   PDC Prolog
;
;		  Basic Runtime Support Functions
;
; FileName: MSC2INIT.ASM
; PURPOSE: OS2 dummy initialization for linking with MicroSoft C.
;
; 
;  Date Modified, By,    Comments.
; 
;                      
;***************************************************************************/

TITLE	INIT - Initiate execution of a PROLOG program from C
SUBTTL	Copyright 1987,90 by Prolog Development Center
NAME	MSC2INIT


;
;---------------------- Define the code Segment ------------------------------
;

INIT_TEXT	SEGMENT BYTE PUBLIC 'CODE'
INIT_TEXT	ENDS

;
;---------------------- Define PDC Prolog Segments ---------------------------
;

; Prepare the layout of an array of module descriptors
; one record is generated for each module
public _PROLOG_ModTab
PROMOD	SEGMENT BYTE PUBLIC 'PROMOD'
_PROLOG_ModTab	label	byte
PROMOD	ENDS

; The array of module descriptors will be ended with a zero
PROMODE	SEGMENT BYTE PUBLIC 'PROMOD'
	dd 0
PROMODE	ENDS

MODGROUP GROUP PROMOD,PROMODE

; The array of module descriptors will be ended with a zero
PROSYMB SEGMENT PARA COMMON 'PROSYMB'
PROSYMB	ENDS


;
;--------------------------- DATA Segment ------------------------------
;

_DATA	SEGMENT word PUBLIC 'DATA'

public __turboFloat		; TC uses this to pull in emulator.
__turboFloat	label word	; We don't want any emulator.

_DATA	ENDS

DGROUP	GROUP	_DATA

END
