/***************************************************************************

			   PDC Prolog

             Copyright (c) 1986, 90 by Prolog Development Center

 FileName: MSC2MTMN.C
 PURPOSE: _cmain for Microsoft C  -  multithreaded

 
  Date Modified, By,    Comments.
 
                      
***************************************************************************/

unsigned  _stklen = 10000;


/***************************************************************************
	Variables public in Prolog main module and .SYM file
***************************************************************************/

extern void * far PROLOG_Vars;
extern void * far PROLOG_SymbolTable;
extern void * far PROLOG_ModTab;
void              PROLOG_ErrReport(unsigned);
void              PROLOG_Goal(void);


/***************************************************************************
	Entry to prolog
 RUN_Main for OS/2 needs five parameters:
   PROLOG_Vars:		Misc parameters transfered from compiler
   PROLOG_SymbolTable:	A pointer to the root of the symbol table
   PROLOG_ModTab:	A pointer to a description of the modules
   PROLOG_Goal:		Pointer to which prolog rouutine to call
   PROLOG_ErrReport:	Which errorlevel routine to call
   r1, r2:		Reserved for future use, should be set to 1.

***************************************************************************/

typedef unsigned short unsh;

UNSIGNED DLP RUN_Main(	void *runtimevars,
		        void *SymbolTable,
			void *ModTab,
			void (*goal)(void),
			void (*ERR_Report)(UNSIGNED),
			unsh InitKb,unsh InitWd);

/***************************************************************************
	Main C routine

This is identical to _main, except that it executes in thread 2 with a
64K stack.

***************************************************************************/

cmain()
{
  return(RUN_Main(
	&PROLOG_Vars,
	&PROLOG_SymbolTable,
	&PROLOG_ModTab,
	PROLOG_Goal,
	PROLOG_ErrReport,
	1,1));
}
