/************************************************************************
	CUTC.PRO
	
	Demonstrates how to effect a cut in C 
	 (this is the Prolog version of CUTC.C, for comparison)
	See CUTC.C

	Copyright (c) 1986, 1990 by Prolog Development Center
************************************************************************/

project "cut"

GLOBAL PREDICATES
test_cut language C

PREDICATES
nondeterm cut1
nondeterm a1
nondeterm a2

CLAUSES
test_cut:- write("clause1.\n"), cut1, fail.
test_cut:- write("clause2.\n").

cut1:- a1, a2, !.

a1:- write("Point to a1 set.\n").
a1:- write("a1.\n").

a2:- write("Point to a2 set.\n").
a2:- write("a2.\n").
