/************************************************************************
	HEAPUSE.PRO

	Example showing the effects on Global stack usage of success popping  
	 cf Chapter 1 "Measuring Global Stack Usage - An Example"

	 try the goal loop1(1)

	Copyright (c) 1986,1990 by Prolog Development Center	
************************************************************************/	

PREDICATES
  loop1(integer)
  loop2(string)

CLAUSES
  loop1(X):-
          X <= 3, !,
          Y = X+1,
          storage(_,H,_),
        writef("\nloop1(%1) Heap = %6 bytes\n",X,H),
        loop2("1"),
          loop1(Y).
  loop1(_).

  loop2(X):- 
          str_int(X,Xint),
          Xint <= 4, !,
          Yint = Xint+1,
          str_int(Y,Yint),
          storage(_,H,_),
        writef("loop2(%1) Heap = %6 bytes\n",X,H),
          loop2(Y).
  loop2(_).
