/*************************************************************************
	RANDOM.PRO

	Random Labrynth Generator for overlay demo

	Copyright (c) 1986, 1990 by Prolog Development Center             
**************************************************************************/

project "overlay"

include "globals.pro"


PREDICATES
  run
  get(INTEGER,CHAR)


CLAUSES
  labyrinth:-
	makewindow(1,116,96,"Labyrinth generator",5,5,15,60),
	run,!.
  labyrinth:-
	removewindow.

  run:-	not(inkey(_)),
	random(13,ROW),
	random(58,COL),
	random(10,SEL),
	get(SEL,CHAR),
	scr_char(ROW,COL,CHAR),
	run.

  get(0,'').  get(1,'').  get(2,'').  get(3,'').  get(4,'').
  get(5,'').  get(6,'').  get(7,'').  get(8,'').  get(9,'').
  get(10,'').
