/************************************************************************
 *									*
 *			Parser generator				*
 *									*
 *			 Write Routines					*
 *			 --------------					*
 *									*
 ************************************************************************/


check_determ
project "parser"

include "parser.glo"

include "writedom.pro"
include "writepre.pro"

/**********************************************************************
		Internal representation of the parser
		Pulled up by the hair
**********************************************************************/
/*
  p(prodname,groups([[prod([tok(cmp(upper,[string]))],dom(string))]])).
  p(prodnames,list(prodname,plus,sep(comma))).
  p(parser,list(section,plus,none)).
  p(section,groups([[
	prod([tok(name(userdefined_)),prodname(prodnames)],term(userdefined,[prodnames])),
	prod([tok(name(leftassoc_)),prodname(namel)],term(leftassoc,[namel])),
	prod([tok(name(productions_)),prodname(productions)],term(productions,[productions]))
	]])).
  p(namel,list(name,star,sep(comma))).

  p(name,groups([[prod([tok(cmp(id,[string]))],dom(string))]])).

  p(productions,list(production,plus,none)).

  p(production,groups([[prod([prodname(prodname),tok(name(equal)),prodname(prodbody)],term(p,[prodname,prodbody]))]])).

  p(prodbody,groups([[
	prod([prodname(prodname),prodname(star_plus),prodname(separator_)],term(list,[prodname,star_plus,separator_])),
	prod([prodname(prodgroups)],term(groups,[prodgroups]))
	]])).

  p(star_plus,groups([[
	prod([tok(name(star))],name(star)),
	prod([tok(name(plus))],name(plus))
	]])).

  p(separator_,groups([[
	prod([tok(name(separator_)),tok(cmp(id,[string]))],term(separator,[string])),
	prod([],name(none))
	]])).

  p(prodgroups,list(priorgroup,plus,sep(priorsepp))).

  p(priorgroup,list(singprod,plus,sep(comma))).

  p(singprod,groups([[prod([prodname(gramtokl),tok(name(arrow)),prodname(term)],term(prod,[gramtokl,term]))]])).

  p(gramtokl,list(gramtok,star,none)).

  p(gramtok,groups([[
	prod([prodname(prodname)],term(prodname,[prodname])),
	prod([prodname(tokk)],term(tok,[tokk]))
	]])).

  p(tokk,groups([[
	prod([tok(cmp(id,[string]))],term(name,[string])),
	prod([tok(cmp(id,[string])),tok(name(lpar)),prodname(prodnames),tok(name(rpar))],term(cmp,[string,prodnames]))
	]])).

  p(term,groups([[
	prod([prodname(name)],term(name,[name])),
	prod([prodname(name),tok(name(lpar)),prodname(prodnames),tok(name(rpar))],term(term,[name,prodnames])),
	prod([prodname(prodname)],term(dom,[prodname]))
	]])).
*/


