
DOMAINS
  ROW, COL, LEN = INTEGER
  FNAME=SYMBOL
  TYPE = int(); str(); real()

DATABASE
  field(FNAME,TYPE,ROW,COL,LEN)
  txtfield(ROW,COL,LEN,STRING)
  windowsize(ROW,COL)

  /* Saving different screens */
  screen(SYMBOL,DBASEDOM)


PREDICATES
  run
  regscreen(SYMBOL)

GOAL run.

CLAUSES

  run:-retract(_),fail.
  run:-consult("goods.scr"),regscreen(goods),fail.
  run:-consult("orders.scr"),regscreen(orders),fail.
  run:-consult("customer.scr"),regscreen(customer),fail.
  run:-consult("inf.scr"),regscreen(inf),fail.
  run:-save("invoice.scr").


  regscreen(NAME):-
	retract(field(A,B,C,D,E)),
	assert(screen(NAME,field(A,B,C,D,E))),fail.
  regscreen(NAME):-
	retract(txtfield(A,B,C,D)),
	assert(screen(NAME,txtfield(A,B,C,D))),fail.
  regscreen(NAME):-
	retract(windowsize(A,B)),
	assert(screen(NAME,windowsize(A,B))),fail.
  regscreen(_).