/*
===========================================================================
	XFILNAM2.PRO	

	Demo of	extended readfilename utility

	Copyright (C) 1990 Prolog Development Center
===========================================================================
*/

include "ui\\filename.pro"
include "ui\\status.pro"

GOAL
	break(on),
	textmode(ROWS,COLS),
	ROWS1=ROWS-1, 
	makewindow(2,66,7,"Instructions",0,0,ROWS1,COLS),
	nl,
	write(" 1. Enter the name of an existing file. "), nl,
	write("    or try a non-existant file name to see what happens"),
	makestatus(112," Enter the name of an existing file"),
	readfilename(9,21,7,7,pro,"oldname.dat",EXISTINGFILE, existing_file),
	nl, nl, 
	write(" You entered ", EXISTINGFILE),
	nl, nl,
	write(" 2. Enter the name of a new file"),nl,
	write("     or try one that does to see what happens"),nl,
	changestatus(" Enter the name for a new file (that doesn't already exist)"),
 	
	readfilename(13,21,7,7,pro,"newfile.pro",NewFile, new_file),
	nl, 
	write("You entered ", NewFile),
	nl.
