/*
===========================================================================
	XSTATUS.PRO

	Demo of	statusline

	Copyright (C) 1990 Prolog Development Center
===========================================================================
*/


include "ui\\status.pro"

GOAL
   textmode(ROWS,COLS),
   ROWS1=ROWS-1,
   makewindow(2,7,0,"",0,0,ROWS,COLS),
   makewindow(1,23,7,"",0,0,ROWS1,COLS),
   ROW2=ROWS-5,cursor(ROW2,0),
   makestatus(66,"Press the space bar (first status line)."),
   write("A status line can be created easily with the makestatus"),
   write(" tool predicate."),
   nl,nl,
   readchar(_),
   write("****************************************************************\n"),
   write("\nThe contents of the status line can later be changed by the "),
   write("\nchangestatus command."),
   write("\n\nPress the space bar to see the effect of \n\n"),
   write("\tchangestatus(\"A new status line: please press the spacebar\".)\n\n"),
   readchar(_),
   changestatus("A new status line: please press the spacebar."),
   readchar(_),
   changestatus("A new status line"),
   write("****************************************************************\n"),
   write("\nA status line can be removed by the removestatus predicate."),
   write("\n\nPress the spacebar to see the effect of removestatus. When"),
   write("\nyou are ready to continue press the spacebar once again.\n\n"),
   readchar(_),
   removestatus,
   readchar(_),
   write("****************************************************************\n"),
   write("\nAnd they can overlap. Press the space bar again."),nl,nl,
   readchar(_),
   write("We will create two status lines, one on top of another,"),nl,
   write("using:\n\n\tmakestatus(7,\"First of two overlapping status lines.\"),"),nl,
   write("\tmakestatus(151,\"Second of two overlapping status lines.\"),"),nl,nl,nl,
   makestatus(36,"First of two overlapping status lines."),
   makestatus(151,"Second of two overlapping status lines."),
   write("Below is the second status line. Press the space bar to see the first"),
   write("\nand then press the space bar once again to remove this also.\n"),
   readchar(_),
   removestatus,
   readchar(_),
   removestatus,
   tempstatus(112," This status line appears by curtesy of tempstatus."),
   write("\n****************************************************************\n"),
   write("\nSometimes the statusline can disappear because another window"),
   write("\nis placed on the top of it."),
   write("\n\nPress any key and the statusline will disappear"),
   write("\nbecause of: \"shiftwindow(2),shiftwindow(1)\"\n"),
   readchar(_),
   shiftwindow(2),
   shiftwindow(1),
   write("\n\nNow press any key to see the effect of refreshstatus.\n"),
   readchar(_),
   refreshstatus,
   write("\n****************************************************************\n"),
   write("\nIf you want the statusline to disappear automatically "),nl,
   write("during fail, then you should use tempstatus instead of makestatus."),nl,
   readchar(_),
   write("\n****************************************************************\n"),
   write("\n\nNow the program will fail. Notice that tempstatus"),
   write("\nremoves the status line."),
   readchar(_),
   fail.
