/************************************************************************
	HEX2PRO.PRO
	
	Illustrates a more proper hex formatted string to integer
	    conversion predicate using the memory allocation functions

	See HEX2C.C
	
	Copyright (c) 1986, 1990 by Prolog Development Center
************************************************************************/

project "hex2"

GLOBAL PREDICATES
hex_int(string,integer) - (i,o) (o,i) (i,i) language C

PREDICATES
test

CLAUSES
test:-
        hex_int("40",Max),
        hex_int(HMax,Max),
        writef("%  %\n",HMax,Max),
        hex_int("3200",Max),  % This will fail, Max=$40
        !.
test:- write("Test failed in clause 1.\n").

GOAL test.
