/************************************************************************
     REF2PRO.PRO
	
     Illustrates accessing a reference variables in C, returning a new
     ALSO checks to dereference, properly instatiate and record in the
     TRAIL the returned variable

     See REF2C.C
	
     Copyright (c) 1986, 1990 by Prolog Development Center
************************************************************************/

project "ref2"

GLOBAL DOMAINS
int = reference integer

GLOBAL PREDICATES
sum(int,int,int) - (i,i,i) language C

PREDICATES
free_int(int)

CLAUSES
free_int(_).

GOAL
	free_int(A), A=1, B=2, 
	free_int(C), C=D, 
	sum(A,B,C),
	write("\nC=",C,", D=",D).
