/************************************************************************
	STACK.PRO

	Example of stack overflow checking on a C-defined predicate
     **> Use MAKSTACK.BAT to compile and link this example

	See STACKC.C

	Copyright (c) 1986, 1990 Prolog Development Center
************************************************************************/

GLOBAL PREDICATES
c_main language c
c_overflow language c as "overflow@"  /* TC */

PREDICATES
errhnd(integer)
main

CLAUSES
main:- write("\nPress any key to call c_main\n"), readchar(_),
       c_main.

c_overflow:- exit(1).

errhnd(1):- !, write("Stack overflow in C module.\n"), readchar(_).
errhnd(E):- write("Trapped error ",E,'\n'), readchar(_).

GOAL	trap(main,E,errhnd(E)).

