/************************************************************************
	FRIENDS.PRO
	
	For use in illustrating the compiler's use of flow pattern 
	  analysis   cf Chapter 1 "Flow Analysis"	

	try the goal likes(tom,pete)
	and the goal likes(X,Y)
	
	to observe the difference in flowpattern.  If you press 
	CTRL-BREAK twice after the 1st goal, you can clear out the 
	(incremetal) compilation effects of the first, to see just the
	flowpatterns resulting from the second.
	
	Copyright (c) 1986,1990 by Prolog Development Center	
************************************************************************/	
diagnostics

DOMAINS
 person = symbol
 personlist = person*

PREDICATES
 friends(person,personlist)
 likes(person,person)
 member(person,personlist)

CLAUSES
 friends(nicola,[andy,pete,rosi,tanya]).

 likes(bill,tom).
 likes(tom,X):- friends(nicola,Y), member(X,Y).

 member(X,[X|_]).
 member(X,[_|Y]):- member(X,Y).
