/*************************************************************************
   SCANP.PRO

   Test program for the default scanner - 
     use for example the name of this program as command line argument

   scanner scanp.pro
	
   Copyright (c) 1986, 1990 by Prolog Development Center
**************************************************************************/

project "scanner"

GLOBAL DOMAINS
  TOK = comma(); plus(); minus(); mult(); div(); power(); exclmmark();
	questionmark(); colon(); id(STRING); lpar(); rpar(); int(INTEGER);
	real(REAL); str(STRING); char(CHAR); if_(); then(); else();
	while(); do(); goto(); nill
  CURSOR = INTEGER
  CURSORTOK = t(TOK,CURSOR)
  TOKL = CURSORTOK*

GLOBAL PREDICATES

 scanner(STRING,TOKL) - (i,o) language C
 
PREDICATES
 go

CLAUSES
 go:-
	comline(Line), 
	not(existfile(Line)),!,
	write("Invalid filename to scan.").
 go :- comline(Line),
	file_str(Line,S),
	trap(scanner(S,T),E,writef("\nBombed out, error %.\n",E)),
	write(T),!.
 go:- write("BANG\n").

GOAL go.
