/**************************************************************************
	HAVEN.PRO

	"Hackers Heaven": Updating data structures in place
	   note use of "nocopy" database-option
		
	Copyright (c) 1986,1990 by Prolog Development Center
**************************************************************************/

DOMAINS
  row,col = integer
DATABASE
  nocopy array(row,col,string)
PREDICATES
  nondeterm modify(row,col)
%  mod1(integer,integer,char)
CLAUSES
  array(1,1,a).
  array(1,2,b).
  array(1,3,c).
  array(2,1,c).
  array(2,2,b).
  array(2,3,a).

  modify(R,C):-
        array(R,C,Old),          %get string to be modified ('Old')
        ptr_dword(Old,Seg,Off),  %get segment and offset for the string
        membyte(Seg,Off,'*').    %set contents of the string to '*'

/*
  modify(R,C):-
        array(R,C,Old),          %get string to be modified ('Old')
        ptr_dword(Old,Seg,Off),  %get segment and offset for the string
        mod1(Seg,Off,'*').       %set contents of the string to '*'

  mod1(Seg,Off,Value):-
        membyte(Seg,Off,Byte), Byte <> 0, !, %Not end-of-string
        membyte(Seg,Off,Value),
        Noff = Off+1,
        mod1(Seg,Noff,Value).
  mod1(_,_,_).
*/
