/**************************************************************************
	LISTS.PRO

	Example of mixed lists

	sample goals:
	 member(X, [int(1), str("containing"), int(4), str("elements")])
	 append([int(1), int(2),[str("a single string"),int(3)], List)

	Copyright (c) 1986,1990 by Prolog Development Center
**************************************************************************/

DOMAINS
  list = element*
  element = ch(char); int(integer); str(string)

PREDICATES
  member(element,list)
  append(list,list,list)

CLAUSES
  member(X,[X|_]).
  member(X,[_|R]):- member(X,R).

  append([],L,L).
  append([X|L1],L2,[X|L3]):- append(L1,L2,L3).
