/**************************************************************************
	REFOVHD.PRO
	
	Illustrates reference variable overhead
 	 compare the overhead of the 2 alternate domain definitions
	
	goal: timer(T)

	Copyright (c) 1986,1990 by Prolog Development Center
**************************************************************************/
diagnostics

DOMAINS
  number = integer
%  number = reference integer
PREDICATES
  count(number)
  timer(integer)

CLAUSES
  count(0):- !.
  count(X):- Y = X-1, count(Y).

  timer(Time):-
        time(H1,M1,S1,C1),
        count(30000),
        time(H2,M2,S2,C2),
        Time=((((H2-H1)*60+M2-M1)*60)+S2-S1)*100+C2-C1.

