/*
=========================================================================
 	MUSTMOUS.PRO

	Checks for presence of mouse driver -- used in demos

	Copyright (C) 1990 Prolog Development Center
=========================================================================
*/

PREDICATES
  must_have_mouse
CLAUSES
  must_have_mouse :-
	mouse_init(Status),
	Status=-1,!.
  must_have_mouse :-
	makewindow(81, 7, 7, " Sorry! ", 7, 16, 4, 45),
	write("        This Demo Requires a Mouse"),nl,
	write(" (yours does not seem to be installed...)"),
	readchar(_),
	removewindow(81,1),
	exit(0).
