/************************************************************************
 *									*
 *			HNDBASIS.PRO					*
 *									*
 *	This sample shows the minimum structure of a program using 	*
 *	the screen handler.						*
 *									*
 ************************************************************************/


/************************************************************************
 *			Domains						*
 ************************************************************************/

include "tdoms.pro"

DOMAINS
  FIELD_NAME	= SYMBOL
  TYPE		= int(); str(); real()


/************************************************************************
 *			Database Predicates				*
 ************************************************************************/

DATABASE
  field(FIELD_NAME, TYPE, ROW, COL, LEN)
  txtfield(ROW, COL, LEN, STRING)		
  value(FIELD_NAME, STRING)		
  windowsize(ROW, COL)
  

/************************************************************************
 *			Include Tools					*
 ************************************************************************/

include "ui\\menu.pro"
include "ui\\status.pro"
include "screen\\scrhnd.pro"				% Or vscrhnd.pro


CLAUSES
/************************************************************************
 *			Field Actions					*
 ************************************************************************/

  field_action(_) :- fail.
  

/************************************************************************
 *			Field Values					*
 ************************************************************************/

  field_value(FIELD_NAME, VALUE) :- value(FIELD_NAME, VALUE), !.


/************************************************************************
 *			No Input Fields					*
 ************************************************************************/

  noinput(_) :- fail.

