/*
===========================================================================
	XFILENAM.PRO	

	Demo of	readfilename utility

	Copyright (C) 1990 Prolog Development Center
===========================================================================
*/

include "ui\\filename.pro"
include "ui\\status.pro"

GOAL
	break(on),
	textmode(ROWS,COLS),
	ROWS1=ROWS-1, 
	COLS1 = COLS div 2,
	makewindow(2,66,7,"Instructions",0,0,ROWS1,COLS1),
	nl,
	write(" 1. Set the directory to"),nl,
	write("    \"\\TOOLS\\XDEMOS\""),nl,
	write("  if not already there"),
	nl,nl,
	makewindow(3,36,7,"Results",0,COLS1,ROWS1,COLS1),
	makestatus(112,
	  " Give some filenames and inspect the result of readfilename."),
	setdir(6,5,23,23),
	disk(DIR),
	write("Directory=",DIR),nl,nl,
	shiftwindow(2),
	write(" Now try the following in turn:"),nl,
	write(" =============================="),nl,nl,
	write("  2. Just press RETURN"),nl,
	write("  3. Give the filename \"test\""),nl,
	write("  4. Try the filename \"test.txt\""),nl,
	write("  5. Delete the old name and\n     then press RETURN"),nl,
	write("  6. Try typing \"XP*.PRO\""),nl,
	 nl,nl,nl,nl,
	write(" - Ctrl-backspace deletes the\n   old filename"),
	write("\n\n\n - Use Ctrl-Break to stop"),
	shiftwindow(3),
	changestatus(
	     " Give some filenames and inspect the result of readfilename."),
	repeat,
	refreshstatus,
	readfilename(19,41,23,20,pro,"oldname.dat",NEWNAME),
	write("Filename=",NEWNAME),nl,
	fail.
