/*
=====================================================================
	XGMENU.PRO

	Example of graphic menu usage. Pops up a menu at the
	mouse position when it is clicked and repeats the
	process until the exit choice is made on the menu.

	Copyright (C) 1990 Prolog Development Center
=====================================================================
*/


include "BGI.PRE"
include "MOUSE\\MOUSE.PRE"
include "GRAPHICS\\GMENU.PRE"

include "MOUSE\\MOUSE.PRO"
include "GRAPHICS\\GMENU.PRO"
include "GRAPHICS\\BGIFIND.PRO"


GOAL	
	textmode(SR,SC),
	bgi_find(BGI_PATH),
	trap(initgraph(detect,0,_,_,BGI_PATH),Err, no_bgi_err(Err)),
	mouse_on,
	
	repeat, 
	 mouse_get(X,Y,Button), 
	 Button >< 0,
	 gmenu(X,Y,1,7,7,
	 	["Choice One",
	 	"Choice Two",
	 	"Choice Three",
		"Choice Four",
	 	"Exit"],
	 	Choice),
	 Choice = 5,
	 closegraph,
	 textmode(SR,SC).

