/*
===========================================================================
  	XMAIL.PRO					 
  									 
  	Demo of screen handler: entering names and addresses for a 	 
  	mailing list.							 
  									 
  	In order to run this program, you must define an appropriate	 
  	screen layout and store the corresponding screen definition 	 
  	file in XMAIL.SCR.  Also, you must supply a value for ALL 	 
  	fields.								 
  									
	Copyright (C) 1990 Prolog Development Center
===========================================================================
*/

include "screen\\hndbasis.pro"

GOAL
  consult("xmail.scr"),
  createwindow(on),
  makestatus(112, "Fill out the fields"),
  scrhnd(on, _),
  clearwindow,
  value("FirstName", FIRST_NAME),
  value("LastName", LAST_NAME),
  value("Street", STREET),
  value("City", CITY),
  value("State", STATE),
  value("Tel", TELEPHONE),
  value("ZipCode", ZIP),
  value("Discount", DISCOUNT),
  nl,
  write("\n+---------------------------------------------------------------"),
  write("\n First Name: ", FIRST_NAME),
  write("\n  Last Name: ", LAST_NAME),
  write("\n     Street: ", STREET),
  write("\n       City: ", CITY),
  write("\n      State: ", STATE),
  write("\n        Zip: ", ZIP),
  nl,
  write("\nYour reference number will be your telephonenumber: ", TELEPHONE),
  write("\nYou have been granted ", DISCOUNT, "%discount."),
  write("\n+---------------------------------------------------------------").
