/*
=====================================================================
	XWINDOWS.PRO

	Example of creating graphic windows with the mouse.
	The program lets you create 3 windows and exits on
	the next mouse click.
	
	Copyright (C) 1990 Prolog Development Center
=====================================================================
*/

include "BGI.PRE"

include "MOUSE\\MOUSE.PRE"
include "GRAPHICS\\OBJECTS.PRE"
include "GRAPHICS\\GWINDOWS.PRE"

include "MOUSE\\MOUSE.PRO"
include "GRAPHICS\\GWINDOWS.PRO"

include "GRAPHICS\\BGIFIND.PRO"
include "MOUSE\\MUSTMOUS.PRO"

CLAUSES
 	repeat.
 	repeat :- repeat.

GOAL	textmode(Srow,Scol),
	must_have_mouse,
	bgi_find(BGI_PATH),
	trap(initgraph(detect,0,_,_,BGI_PATH), Err, no_bgi_err(Err)),
	gWindow_Create(1,"Window 1",colors(1,7,11,4)),
	gWindow_Text(1,"Why don't you make another?"),
	gWindow_Create(2,"Window 2",colors(1,7,11,4)),
	gWindow_Text(2,"Just one more."),
	gWindow_Create(3,"Window 3",colors(1,7,11,4)),
	gWindow_Text(3,"Click now and exit."),
	repeat, 
	mouse_get(_,_,Button), 
	 Button >< 0,
	closegraph,
	textmode(Srow,Scol).



